package RT::Templates;


sub LimitToNotInQueue {
    my $self = shift;
    my $queue_id = shift;
    $self->Limit(FIELD => 'Queue',
                 VALUE => "$queue_id",
                 OPERATOR => '!='
                );
}

=head3 LimitToNotInFamily

FIXME :
Could be an equivalent to LimitToNotInQueue, but the side effect of replacing this method have
not been evaluated completely.

=cut

sub LimitToNotInFamily  {
   my $self = shift;
   my @tmp = @_;

   my @ids = ();
   for my $id (@tmp) {
       my $q = RT::Queue->new($self->CurrentUser);
       $q->Load($id);
       my $ref_ids = $q->Genealogie_ids();
       push @ids,@$ref_ids;
   }

   # warn "Calling Template::LimitToQueue with ".join(',',@ids)." (initally ".join(',',@tmp).")\n";

   $self->Limit (
       FIELD => 'Queue',
       VALUE => \@ids,
       OPERATOR => "NOT IN",
       ) if @tmp;
}

=head2 LimitToQueue

Takes a queue id # and limits the returned set of templates to that queue's
templates

=cut

sub LimitToQueue  {
   my $self = shift;
   my @tmp = @_;

   my @ids = ();
   for my $id (@tmp) {
       my $q = RT::Queue->new($self->CurrentUser);
       $q->Load($id);
       my $ref_ids = $q->Genealogie_ids();
       push @ids,@$ref_ids;
   }

   # warn "Calling Template::LimitToQueue with ".join(',',@ids)." (initally ".join(',',@tmp).")\n";

   $self->Limit (
       FIELD => 'Queue',
       VALUE => \@ids,
       OPERATOR => "IN",
       ) if @tmp;
}


1;
